<?xml version="1.0" encoding="UTF-8"?>
<!-- edited with XMLSPY v5 rel. 4 U (http://www.xmlspy.com) by David Markwell (The Clinical Information Consultancy) -->
<xsl:stylesheet version="1.1" xmlns="urn:snomed-org/sct" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>

	<!--top level constructor -->
	<xsl:template match="SubsetGroup">
		<xsl:element name="snomedCt" namespace="urn:snomed-org/sct">
		<xsl:attribute name="xsi:noNamespaceSchemaLocation"   namespace="http://www.w3.org/2001/XMLSchema-instance">C:\CicAppTest\Clue5\resources\DEFINITION\SnomedCt.xsd</xsl:attribute>
		<xsl:element name="fileInfo"></xsl:element>
			<xsl:element name="subsets">
					<xsl:apply-templates select="@*|*"/>
			</xsl:element>
		</xsl:element>
	</xsl:template>
	<!--convert header to subset level -->
	<xsl:template match="Header">
		<xsl:apply-templates select="@*"/>
		<xsl:element name="subsetDefinition">
		<xsl:apply-templates select="*"/>
		<xsl:for-each select="../Clause">
			<xsl:element name="clause">
				<xsl:apply-templates select="@*|*"/>
			</xsl:element>
		</xsl:for-each>
		</xsl:element>
	</xsl:template>
	<!--handle action and its contents -->
	<xsl:template match="Action">
		<xsl:element name="action">
		<xsl:apply-templates select="@*"/>
		<xsl:for-each select="Clause">
			<xsl:element name="clause">
				<xsl:apply-templates select="@*|*"/>
			</xsl:element>
		</xsl:for-each>
		</xsl:element>
	</xsl:template>
	<!--convert Exclude it Include -->
	<xsl:template match="@ExcludeSelf">
		<xsl:if test=".!=''">
		<xsl:attribute name='includeSelf'>
		<xsl:choose>
			<xsl:when test=".='False'">true</xsl:when>
			<xsl:when test=".='True'">false</xsl:when>
		</xsl:choose>
		</xsl:attribute></xsl:if>
	</xsl:template>
	<xsl:template match="Action/@Value|Foundation/DefaultStatus|Clause"></xsl:template>
	<!--atttributes tolerated even if blank -->
	<xsl:template match="@Author">
		<xsl:attribute name='{concat(translate(substring(name(),1,1),"ABCDEFGHIJKLMNOPQRSTUVWXYZ","abcdefghijklmnopqrstuvwxyz"),substring(name(),2))}'>
			<xsl:value-of select="."></xsl:value-of>
		</xsl:attribute>
	</xsl:template>
	<!--atttributes tolerated if not blank -->
	<xsl:template match="@*">
		<xsl:if test=".!=''">
		<xsl:attribute name='{concat(translate(substring(name(),1,1),"ABCDEFGHIJKLMNOPQRSTUVWXYZ","abcdefghijklmnopqrstuvwxyz"),substring(name(),2))}'>
		<xsl:choose>
			<xsl:when test=".='False'">false</xsl:when>
			<xsl:when test=".='True'">true</xsl:when>
			<xsl:otherwise><xsl:value-of select="."></xsl:value-of></xsl:otherwise>
		</xsl:choose>
		</xsl:attribute></xsl:if>
	</xsl:template>
	<xsl:template match="Action/@ExitClauses"><xsl:if test=".='True'"><xsl:attribute name="nextStep">Return</xsl:attribute></xsl:if></xsl:template>
	<xsl:template match="*">
		<xsl:element name='{concat(translate(substring(name(),1,1),"ABCDEFGHIJKLMNOPQRSTUVWXYZ","abcdefghijklmnopqrstuvwxyz"),substring(name(),2))}'>
			<xsl:apply-templates select="@*|*"/>
		</xsl:element>
	</xsl:template>
</xsl:stylesheet>
